> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/flows/flow-table

> Get flow table for the app on the device

## OpenAPI

````json POST /v1/flows/flow-table
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/flows/flow-table": {
      "post": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/v1FlowsFlowTablePostRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1FlowsFlowTablePostResponse"
                }
              }
            }
          }
        },
        "description": "Get flow table for the app on the device"
      }
    }
  },
  "components": {
    "schemas": {
      "v1FlowsFlowTablePostRequest": {
        "type": "object",
        "properties": {
          "appId": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0,
            "description": "the app ID in the question from overall visuals view"
          },
          "appName": {
            "type": "string",
            "example": "example string"
          },
          "cursorRef": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "deviceId": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "isDia": {
            "type": "boolean",
            "example": true
          },
          "numFlowRecords": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0,
            "description": "Number of app flow records requested by UI."
          },
          "selector": {
            "$ref": "#/components/schemas/ipfixAppFlowTableSelector"
          },
          "timeWindow": {
            "$ref": "#/components/schemas/statsmonTimeWindow"
          }
        },
        "additionalProperties": false
      },
      "v1FlowsFlowTablePostResponse": {
        "type": "object",
        "properties": {
          "cursorRef": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "flowTable": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ipfixAppFlowTable"
            }
          }
        },
        "additionalProperties": false
      },
      "googleProtobufTimestamp": {
        "type": "object",
        "properties": {
          "nanos": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "seconds": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          }
        },
        "additionalProperties": false
      },
      "ipfixAppFlowTableSelector": {
        "type": "object",
        "properties": {
          "circuitName": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string",
              "description": "Filter by circuit name(s)"
            }
          },
          "slaClass": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "ENUM_VALUE",
              "description": "Filter by SLA class(es)"
            }
          }
        },
        "additionalProperties": false
      },
      "statsmonTimeWindow": {
        "type": "object",
        "properties": {
          "bucketSizeSec": {
            "type": "integer",
            "format": "int32",
            "example": 300,
            "minimum": 0,
            "description": "the size of the time window in seconds (required)"
          },
          "oldTs": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "recentTs": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          }
        },
        "additionalProperties": false,
        "required": [
          "bucketSizeSec"
        ]
      },
      "ipfixAppFlowTable": {
        "type": "object",
        "properties": {
          "destIp": {
            "type": "string",
            "example": "example string"
          },
          "destPort": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "dlCircuitName": {
            "type": "string",
            "example": "example string"
          },
          "dlUsage": {
            "type": "number",
            "format": "double",
            "example": 123.45,
            "description": "Down link application usage in MB"
          },
          "egressLocalCoreRegion": {
            "type": "string",
            "example": "example string"
          },
          "ingressLocalCoreRegion": {
            "type": "string",
            "example": "example string"
          },
          "lanSegment": {
            "type": "string",
            "example": "example string"
          },
          "protocol": {
            "type": "string",
            "example": "example string"
          },
          "remoteCoreRegion": {
            "type": "string",
            "example": "example string"
          },
          "slaClass": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "srcIp": {
            "type": "string",
            "example": "example string"
          },
          "srcPort": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "ts": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "ulCircuitName": {
            "type": "string",
            "example": "example string"
          },
          "ulUsage": {
            "type": "number",
            "format": "double",
            "example": 123.45,
            "description": "Up link application usage in MB"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

